From 30579cd7d5e4564d5f772a2a89b78da0bd7f259b Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Sun, 30 Jun 2019 16:51:45 +0200
Subject: [PATCH] rpi-kernel: update to 4.19.56.

picked one patch from upstream to make it build for aarch64.

Fixes: #12665

[skip travis]
---
 .../patches/bcmrpi3_defconfig-drop-v4l2.patch | 30 +++++++++++++++++++
 srcpkgs/rpi-kernel/template                   | 10 ++-----
 2 files changed, 33 insertions(+), 7 deletions(-)
 create mode 100644 srcpkgs/rpi-kernel/patches/bcmrpi3_defconfig-drop-v4l2.patch

diff --git a/srcpkgs/rpi-kernel/patches/bcmrpi3_defconfig-drop-v4l2.patch b/srcpkgs/rpi-kernel/patches/bcmrpi3_defconfig-drop-v4l2.patch
new file mode 100644
index 00000000000..2ef6665c0cb
--- /dev/null
+++ b/srcpkgs/rpi-kernel/patches/bcmrpi3_defconfig-drop-v4l2.patch
@@ -0,0 +1,30 @@
+# reason: https://github.com/raspberrypi/linux/issues/3024
+# src: upstream
+
+From e8a66b4f610b3a20bae8f706256d230135916c26 Mon Sep 17 00:00:00 2001
+From: Dave Stevenson <dave.stevenson@raspberrypi.org>
+Date: Fri, 28 Jun 2019 16:05:25 +0100
+Subject: [PATCH] configs: Drop V4L2 camera and codec drivers from
+ bcmrpi3_defconfig
+
+They rely on mmal_vchiq, which in turn wants vc-sm-cma.
+vc-sm-cma needs some attention for 64 bit, so drop it for now.
+
+Signed-off-by: Dave Stevenson <dave.stevenson@raspberrypi.org>
+---
+ arch/arm64/configs/bcmrpi3_defconfig | 2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/arch/arm64/configs/bcmrpi3_defconfig b/arch/arm64/configs/bcmrpi3_defconfig
+index 904163e4266dd..e81b099bd5420 100644
+--- arch/arm64/configs/bcmrpi3_defconfig
++++ arch/arm64/configs/bcmrpi3_defconfig
+@@ -1086,8 +1086,6 @@ CONFIG_FB_TFT_WATTEROTT=m
+ CONFIG_FB_FLEX=m
+ CONFIG_FB_TFT_FBTFT_DEVICE=m
+ CONFIG_SND_BCM2835=m
+-CONFIG_VIDEO_BCM2835=m
+-CONFIG_VIDEO_CODEC_BCM2835=m
+ CONFIG_MAILBOX=y
+ CONFIG_BCM2835_MBOX=y
+ # CONFIG_IOMMU_SUPPORT is not set
diff --git a/srcpkgs/rpi-kernel/template b/srcpkgs/rpi-kernel/template
index 97168e29ad5..069d1cdf200 100644
--- a/srcpkgs/rpi-kernel/template
+++ b/srcpkgs/rpi-kernel/template
@@ -5,11 +5,11 @@
 #
 #   https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=224931
 
-_githash="78878cd46bcf68d8ae94e02c4e1cbba6841314bb"
+_githash="7b5c53d89a53e343679759476a27bb7af736ea22"
 _gitshort="${_githash:0:7}"
 
 pkgname=rpi-kernel
-version=4.19.55
+version=4.19.56
 revision=1
 wrksrc="linux-${_githash}"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
@@ -17,7 +17,7 @@ homepage="http://www.kernel.org"
 license="GPL-2.0-only"
 short_desc="The Linux kernel for Raspberry Pi (${version%.*} series [git ${_gitshort}])"
 distfiles="https://github.com/raspberrypi/linux/archive/${_githash}.tar.gz"
-checksum=34d5efa0fabdc015a968a100e21935386c8e8d3ff6b4f552c757153ec981b52d
+checksum=0b5b1076bc39df3d716449a0f0e4ebee78b974f0aff4f0a3c90b117fcc4dac49
 
 _kernver="${version}_${revision}"
 
@@ -41,10 +41,6 @@ mutable_files="
 	/usr/lib/modules/${_kernver}/modules.alias.bin
 	/usr/lib/modules/${_kernver}/modules.devname"
 
-case "$XBPS_TARGET_MACHINE" in
-	aarch64*) broken="https://build.voidlinux.org/builders/aarch64-musl_builder/builds/20841/steps/shell_3/logs/stdio" ;;
-esac
-
 pre_configure() {
 	# Remove .git directory, otherwise scripts/setkernelversion.sh
 	# modifies KERNELRELEASE and appends + to it.
